gRPC C#
gRPC C#
Namespaces
Grpc.Core
ServerPort Class
ServerPort Constructor
ServerPort Properties
ServerPort Methods
ServerPort Fields

ServerPort Class

A port exposed by a server.
Inheritance Hierarchy
System
Object
Grpc.Core
ServerPort

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class ServerPort

    Public Class ServerPort

    public ref class ServerPort

    type ServerPort =  class end

The ServerPort type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ServerPort | Creates a new port on which server should listen.

Top
Properties

| Name | Description
--- | --- | ---
| BoundPort |
| Credentials |
| Host |
| Port |

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| PickUnused | Pass this value as port to have the server choose an unused listening port for you. Ports added to a server will contain the bound port in their BoundPort property.

Top
See Also

#### Reference

Grpc.Core Namespace